Subject: bug#2749: closed (Re: bug#2749: 23.0.91; Visual Line Mode: incorrect line wrapping in corner case)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 02 Jul 2013 15:56:02 +0000

Your bug report

#2749: 23.0.91; Visual Line Mode: incorrect line wrapping in corner case

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
2749: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2749
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2749: 23.0.91; Visual Line Mode: incorrect line wrapping in corner case
From: Eli Zaretskii <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 02 Jul 2013 18:54:39 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stefan Monnier <[email-masked]>
> Date: Tue, 28 May 2013 18:26:57 -0400
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> > I hope Stefan's silence till now just means he hasn't yet had time to
> > give this issue due consideration....
> 
> No, the thread was simply mis-filed.  I'm a user of word-wrap and I like
> overflow-newline-into-fringe, so I'm in favor of this patch.
> That's assuming any serious fall-out can get fixed, obviously.

I fixed the two known problems with the original proposal, and
committed everything to the trunk as revision 113259.

This bug is now officially closed.  Any fallout should be reported as
separate bugs.

Subject: 23.0.91; Visual Line Mode: incorrect line wrapping in corner case
From: pent <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 22 Mar 2009 22:13:43 +0300

Hello!

I've discovered a minor problem with the new Visual Line Mode. To
reproduce:

0) emacs -Q

1) Switch to the *scratch* buffer.

2) Select menu item Options/Line Wrapping in this Buffer/Wrap at
   Window Edge.

3) Type '-' symbol. Keep typing '-' until the the line is
   wrapped. Delete the last symbol (the one which caused
   wrapping). The line should now be fully filled with '-'s, and there
   should be no wrapping.

4) Hit Enter and repeat 3). There are now 2 fully filled lines one
   after another, with no space between them (expected).

5) Select menu item Options/Line Wrapping in this Buffer/Word Wrap
   (Visual Line Mode). An empty line between 2 lines has appeared
   (unexpected).

I've found the inconsistency while working with horizontally split
Ediff windows, where the probability of wrapping exactly at the line
width is high. Hope the fix is trivial.

I'm ready to provide any additional info,
Andrey Paramonov

In GNU Emacs 23.0.91.1 (i486-pc-linux-gnu, GTK+ Version 2.14.7)
 of 2009-03-20 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20090320-1)
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/23.0.91/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.0.91/site-lisp:/usr/share/emacs/site-lisp' '--with-x=yes' '--with-x-toolkit=gtk' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ru_RU.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: svn-status

Minor modes in effect:
  TeX-PDF-mode: t
  diff-auto-refine-mode: t
  delete-selection-mode: t
  show-paren-mode: t
  pc-selection-mode: t
  pretty-control-l-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t